## python-ebooklib 0.15~ds0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/EBookLib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/EBookLib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/EBookLib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/EBookLib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-ebooklib (0.15~ds0-1) unstable; urgency=low

  * Initial upload to Debian, closes: #745542

 -- Daniel James <daniel@64studio.com>  Thu, 24 Apr 2014 16:32:22 +0100

=== debian/control ===
Source: python-ebooklib
Section: python
Priority: optional
Maintainer: Daniel James <daniel@64studio.com>
Build-Depends:
 debhelper (>= 8),
 dh-python,
 python-all (>= 2.7.3-4~),
 python-lxml,
 python-setuptools,
 python-six,
 python-sphinx (>= 1.0.7+dfsg),
 python3-all,
 python3-setuptools,
 python3-sphinx
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Homepage: https://github.com/booktype/ebooklib
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/python-ebooklib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-ebooklib.git

Package: python-ebooklib
Architecture: all
Depends:
 python-lxml,
 python-six,
 ${misc:Depends},
 ${python:Depends}
Description: Python 2 E-book library for handling EPUB2/EPUB3/Kindle formats
 EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
 capable of reading and writing EPUB files programmatically (Kindle support is
 under development).
 .
 The API is designed to be as simple as possible, while at the same time making
 complex things possible too. It has support for covers, table of contents,
 spine, guide, metadata and more. EbookLib works with Python 2.7 and Python
 3.3, this is the Python 2 version of the package.

Package: python3-ebooklib
Architecture: all
Depends:
 python3-lxml,
 python3-six,
 ${misc:Depends},
 ${python3:Depends}
Description: Python 3 E-book library for handling EPUB2/EPUB3/Kindle formats
 EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
 capable of reading and writing EPUB files programmatically (Kindle support is
 under development).
 .
 The API is designed to be as simple as possible, while at the same time making
 complex things possible too. It has support for covers, table of contents,
 spine, guide, metadata and more. EbookLib works with Python 2.7 and Python
 3.3, this is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=ebooklib

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ _build/html # HTML generator

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build/

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/~(ds|dfsg).*// \
https://github.com/aerkalov/ebooklib/tags \
   /aerkalov/ebooklib/archive/v(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
   debian sh debian/repack.stub

## python-ebooklib 0.17.1

=== debian/changelog ===
python-ebooklib (0.17.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Set Debian QA Group as maintainer.
  * Use debhelper-compat instead of d/compat
  * Changes in debian/control.
    Updated homepage.
    Updated description.
    Updated Standards-Version to 4.4.1.
    Update debhelper-compat to (=12).
    Remove Vcs-* fields since these were out-of-date.
    Remove unnecessary X-Python-Version field.
    Added rules-requires-root: no
  * Use 'Python3 -m sphinx' instead of sphinx-build for building docs.
  * Remove 0001-fix_unicode_error.patch, error has been addressed upstream.
  * Remove SUFFIX=~ds since this no longer applies.
  * Updated process to fetch new upstream versions. 
  * Updated d/watch to version 4.
  * Use secure copyright file specification in URI.
  * Changed CHANGES.TXT to CHANGES.txt in d/python3-ebooklib.docs.
  * Added ${sphinxdoc:Depends} for binary in d/control.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 11 Nov 2019 09:22:04 +0100

python-ebooklib (0.15~ds0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937721

 -- Sandro Tosi <morph@debian.org>  Mon, 14 Oct 2019 20:12:51 -0400

=== debian/control ===
Source: python-ebooklib
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-lxml,
 python3-six,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/aerkalov/ebooklib

Package: python3-ebooklib
Architecture: all
Depends:
 python3-lxml,
 python3-six,
 ${sphinxdoc:Depends},
 ${misc:Depends},
 ${python3:Depends}
Description: Python 3 E-book library for handling EPUB2/EPUB3/Kindle formats
 EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
 capable of reading and writing EPUB files programmatically (Kindle support is
 under development).
 .
 The API is designed to be as simple as possible, while at the same time making
 complex things possible too. It has support for covers, table of contents,
 spine, guide, metadata and more.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export PYBUILD_NAME=ebooklib

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ _build/html # HTML generator

override_dh_auto_clean:
	dh_auto_clean
	rm -rf _build/
	rm -rf EbookLib.egg-info/

## python-ebooklib 0.18

=== debian/changelog ===
python-ebooklib (0.18-4) unstable; urgency=medium

  * QA upload.
  * Fix intersphinx mapping (Closes: #1090139)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 20:12:33 +0100

python-ebooklib (0.18-3) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2024 07:30:13 +0100

python-ebooklib (0.18-2) unstable; urgency=medium

  * QA upload.
  * Source-only upload.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 04 Jan 2023 07:41:56 +0100

python-ebooklib (0.18-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Split documentation out to a separate package.
  * Add doc-base file.
  * Remove trailing whitespace from d/changelog.
  * No longer install extra documentation files like 'AUTHOR' and 'VERSION'.
  * d/upstream/metadata: Include upstream metadata.
  * Bump debhelper-compat to 13.
  * Update Standards-Version to 4.6.2, no changes needed.
  * Don't explicitly depend on python3-lxml and python3-six, these are found
    automatically.
  * Add autopkgtest.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 26 Dec 2022 09:57:37 +0100

=== debian/control ===
Source: python-ebooklib
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-lxml,
 python3-six,
 python3-all,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/aerkalov/ebooklib
Vcs-Browser: https://salsa.debian.org/debian/python-ebooklib
Vcs-Git: https://salsa.debian.org/debian/python-ebooklib.git

Package: python3-ebooklib
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-ebooklib-doc
Description: Python 3 E-book library for handling EPUB2/EPUB3/Kindle formats
 EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
 capable of reading and writing EPUB files programmatically (Kindle support is
 under development).
 .
 The API is designed to be as simple as possible, while at the same time making
 complex things possible too. It has support for covers, table of contents,
 spine, guide, metadata and more.

Package: python-ebooklib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: E-book library for handling EPUB2/EPUB3/Kindle formats - documentation
 EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
 capable of reading and writing EPUB files programmatically (Kindle support is
 under development).
 .
 The API is designed to be as simple as possible, while at the same time making
 complex things possible too. It has support for covers, table of contents,
 spine, guide, metadata and more.
 .
 This package contains the HTML documentation.

=== debian/tests/control ===
Tests: write-epub
Depends: python3-all,
         python3-ebooklib,

## python-ebooklib 0.19

=== debian/changelog ===
python-ebooklib (0.19-1) unstable; urgency=medium

  * QA upload.
  * Remove obsolete lintian override
  * Trim d/rules with modern syntax
  * Reformat d/control with debputy
  * New upstream version 0.19

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 14:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,26 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ python3-all,
  python3-lxml,
+ python3-setuptools,
  python3-six,
- python3-all,
- python3-setuptools,
- python3-sphinx
-Standards-Version: 4.7.0
+ python3-sphinx,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/aerkalov/ebooklib
 Vcs-Browser: https://salsa.debian.org/debian/python-ebooklib
 Vcs-Git: https://salsa.debian.org/debian/python-ebooklib.git
+X-Style: black
 
 Package: python3-ebooklib
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
-Suggests: python-ebooklib-doc
+ ${python3:Depends},
+Suggests:
+ python-ebooklib-doc,
 Description: Python 3 E-book library for handling EPUB2/EPUB3/Kindle formats
  EbookLib is a Python library for managing EPUB2/EPUB3 and Kindle files. It's
  capable of reading and writing EPUB files programmatically (Kindle support is

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export PYBUILD_NAME=ebooklib

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ _build/html # HTML generator

execute_after_dh_auto_clean:
	rm -rf _build/
	rm -rf EbookLib.egg-info/

## python-ebooklib 0.20

=== docs/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/EBookLib.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/EbookLib.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/EBookLib.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/EbookLib.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/EBookLib"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/EBookLib"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/EbookLib"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/EbookLib"
 	@echo "# devhelp"
 
 epub:

=== debian/changelog ===
python-ebooklib (0.20-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.20
  * Drop "Rules-Requires-Root": it is the new default
  * Drop InterSphinx patch not needed anymore

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Oct 2025 20:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-six,
  python3-sphinx,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/aerkalov/ebooklib
 Vcs-Browser: https://salsa.debian.org/debian/python-ebooklib
 Vcs-Git: https://salsa.debian.org/debian/python-ebooklib.git

=== debian/tests/control ===
Tests:
 write-epub,
Depends:
 python3-all,
 python3-ebooklib,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ebooklib-$1\.tar\.gz/ \
  https://github.com/aerkalov/ebooklib/tags .*/v?(\d\S+)\.tar\.gz
